<div class="modal-header">
  <h5 class="modal-title" id="exampleModalLabel"><%= @modal_title.nil? ? "Decision Matrix" : @modal_title %></h5>
  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
    <span aria-hidden="true">&times;</span>
  </button>
</div>

<%= form_with url: tools_decision_mat_valid_criteria_path, method: :patch do |form| %>
  <div class="modal-body">
    <%= hidden_field_tag 'id', tools_decision_mat.id %>

    <table>
      <% criteria.each do |crit| %>
        <tr>
          <td style='padding: 5px 15px;'><%= crit.name %></td>
          <td class='radio-item radio-item-valid'>
              <%= radio_button_tag "[dec_mat_crit][#{crit.id}]", 'true', tools_decision_mat.labels_criteria.include?(crit) ? true : false, class: 'radio dec-mat-radio radio-inprogress' %>
              <label for="_dec_mat_crit_<%=crit.id%>_true"></label>
          </td>
          <td class='radio-item radio-item-invalid'>
            <%= radio_button_tag "[dec_mat_crit][#{crit.id}]", 'false', tools_decision_mat.labels_criteria.include?(crit) ? false : true, class: 'radio dec-mat-radio radio-valid' %>
            <label for="_dec_mat_crit_<%=crit.id%>_false"></label>
          </td>

          <td style='padding: 5px 15px;'>
            <% weight = tools_decision_mat.labels_criteria.include?(crit) ? tools_decision_mat.crit_dec_mats.where(labels_criterium: crit).first.weight : 1 %>
            <label for="_dec_mat_weight_<%=crit.id%>">weight</label>
            <%= text_field_tag "[dec_mat_weight][#{crit.id}]", weight, size: 3 %>
          </td>
        </tr>
      <% end %>
    </table>
  </div>

  <div class="modal-footer">
    <div class="form-actions">
      <%= submit_tag 'Valid', class: 'btn btn-warning' %>
    </div>
  </div>
<% end %>
